Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225530 - i386: only 4GB available on 8GB machine
Summary: i386: only 4GB available on 8GB machine
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 05:07 UTC by Len Brown
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version: RHEL5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-18 11:21:41 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Len Brown 2007-01-31 05:07:01 UTC
RHEL5 Server installed on an i386 machine with 8GB of RAM
does not install a PAE kernel, and is thus limited to 4GB
of the installed 8GB RAM.

Linux version 2.6.18-1.3002.el5 (brewbuilder@ls20-bc1-14.build.redhat.com) (gcc
version 4.1.1 20070105 (Red Hat 4.1.1-51)) #1 SMP Tue Jan 9 21:19:11 EST 2007
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009ec00 (usable)
 BIOS-e820: 000000000009ec00 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000009f91c000 (usable)
 BIOS-e820: 000000009f91c000 - 000000009f9d3000 (ACPI NVS)
 BIOS-e820: 000000009f9d3000 - 000000009fa42000 (usable)
 BIOS-e820: 000000009fa42000 - 000000009fa9a000 (reserved)
 BIOS-e820: 000000009fa9a000 - 000000009fab0000 (usable)
 BIOS-e820: 000000009fab0000 - 000000009fb1a000 (ACPI NVS)
 BIOS-e820: 000000009fb1a000 - 000000009fb2c000 (usable)
 BIOS-e820: 000000009fb2c000 - 000000009fb3a000 (ACPI data)
 BIOS-e820: 000000009fb3a000 - 000000009fc00000 (usable)
 BIOS-e820: 00000000ffc00000 - 00000000ffc0c000 (reserved)
 BIOS-e820: 0000000100000000 - 0000000260000000 (usable)
Warning only 4GB will be used.
Use a PAE enabled kernel.
3200MB HIGHMEM available.
896MB LOWMEM available.

Comment 1 Len Brown 2007-01-31 06:47:23 UTC
FC6 has the same problem:

Linux version 2.6.18-1.2798.fc6 (brewbuilder@hs20-bc2-4.build.redhat.com) (gcc
version 4.1.1 20061011 (Red Hat 4.1.1-30)) #1 SMP Mon Oct 16 14:37:32 EDT 2006
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009ec00 (usable)
 BIOS-e820: 000000000009ec00 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000009f91c000 (usable)
 BIOS-e820: 000000009f91c000 - 000000009f9d3000 (ACPI NVS)
 BIOS-e820: 000000009f9d3000 - 000000009fa42000 (usable)
 BIOS-e820: 000000009fa42000 - 000000009fa9a000 (reserved)
 BIOS-e820: 000000009fa9a000 - 000000009fab0000 (usable)
 BIOS-e820: 000000009fab0000 - 000000009fb1a000 (ACPI NVS)
 BIOS-e820: 000000009fb1a000 - 000000009fb2c000 (usable)
 BIOS-e820: 000000009fb2c000 - 000000009fb3a000 (ACPI data)
 BIOS-e820: 000000009fb3a000 - 000000009fc00000 (usable)
 BIOS-e820: 00000000ffc00000 - 00000000ffc0c000 (reserved)
 BIOS-e820: 0000000100000000 - 0000000260000000 (usable)
Warning only 4GB will be used.
Use a PAE enabled kernel.
3200MB HIGHMEM available.
896MB LOWMEM available.


Comment 2 Len Brown 2007-02-02 19:54:21 UTC
OpenSuse 10.2 does not have this problem -- it handles the full 8GB:

Linux version 2.6.18.2-34-bigsmp (geeko@buildhost) (gcc version 4.1.2 20061115 
(prerelease) (SUSE Linux)) #1 SMP Mon Nov 27 11:46:27 UTC 2006
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009ec00 (usable)
 BIOS-e820: 000000000009ec00 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000009f91c000 (usable)
 BIOS-e820: 000000009f91c000 - 000000009f9d3000 (ACPI NVS)
 BIOS-e820: 000000009f9d3000 - 000000009fa42000 (usable)
 BIOS-e820: 000000009fa42000 - 000000009fa9a000 (reserved)
 BIOS-e820: 000000009fa9a000 - 000000009fab0000 (usable)
 BIOS-e820: 000000009fab0000 - 000000009fb1a000 (ACPI NVS)
 BIOS-e820: 000000009fb1a000 - 000000009fb2c000 (usable)
 BIOS-e820: 000000009fb2c000 - 000000009fb3a000 (ACPI data)
 BIOS-e820: 000000009fb3a000 - 000000009fc00000 (usable)
 BIOS-e820: 00000000ffc00000 - 00000000ffc0c000 (reserved)
 BIOS-e820: 0000000100000000 - 0000000260000000 (usable)
8832MB HIGHMEM available.
896MB LOWMEM available.


Comment 4 Chris Lumens 2007-08-24 13:33:31 UTC
Is this fixed in 5.0 GA?


Note You need to log in before you can comment on or make changes to this bug.